{ pkgs ? import <nixpkgs> {} }:

with pkgs.lib;

let

  qthingDef = with builtins; fromJSON ( readFile ./qthing.json );

  qthingRepo = pkgs.fetchgit { inherit (qthingDef) url rev sha256 fetchSubmodules leaveDotGit; };
  # qthingRepo = ./..;

  qthing = import qthingRepo {inherit pkgs;};

in qthing.mkProject {
  name = "hwTest";
  device = ./device;
  environment = ./environment-undefined.h;
}
